#!/usr/bin/python
# -*- coding: UTF-8 -*-

"""
    Huawei DLI Python SDK
    The database class of DLI Python SDK API
"""
from pprint import pformat


class Database(object):

    def __init__(self, db_info, dli_client):
        self._db_info = db_info

    @property
    def name(self):
        return self._db_info.database_name

    @property
    def owner(self):
        return self._db_info.owner

    @property
    def description(self):
        return self._db_info.description

    @property
    def enterprise_project_id(self):
        return self._db_info.enterprise_project_id

    @property
    def resource_id(self):
        return self._db_info.resource_id

    def to_dict(self):
        result = {
            'name': self.name,
            'owner': self.owner,
            'description': self.description,
            'enterprise_project_id': self.enterprise_project_id,
            'resource_id': self.resource_id
        }
        return result

    def to_str(self):
        return pformat(self.to_dict())

    def __repr__(self):
        return self.to_str()
